Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class delete

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.delete

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class delete

extends DefaultInternalAction

Internal action: `.delete`.

Description: delete elements of strings or lists.

Parameters:

- + arg[0] (term, string, or number): if term, this arg is the element to be removed in the list (all occurrences of the element will be removed); if string, this arg is the substring to be removed (the second arg should be a string); if number, this arg is the position in the list/string of the element/character to be removed.
- + arg[1] (list or string): the list/string where to delete.
- +/- arg[2] (list or string): the list/string with the result of the deletion.

Examples:

- `.delete(a,[a,b,c,a],L)`: `L` unifies with [b,c].
- `.delete(a,[a,b,c,a],[c])`: false.
- `.delete(0,[a,b,c,a],L)`: `L` unifies with [b,c,a].
- `.delete("a","banana",S)`: `S` unifies with "bnn".
- `.delete(0,"banana",S)`: `S` unifies with "anana".

See Also:
  `concat`, `length`, `member`, `sort`, `substring`, `nth`, `max`, `min`, `reverse`, `difference`, `intersection`, `union`, Serialized Form

Constructor Summary
`delete()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### delete

    public delete()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD